Summary:       A portable C/C++ preprocessor
Name:          mcpp
Version:       2.7.2
Release:       5%{?dist}
License:       BSD
URL:           http://mcpp.sourceforge.net/
Source0:       http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Patch3000:     patch.mcpp.2.7.2
Patch3001:     mcpp-man.patch

BuildRequires: make gcc

%description
MCPP is a portable C/C++ preprocessor, supporting GCC, Visual C++, etc. Its
source is highly configurable and can generate executables of various specs.
It accompanies a validation suite to check preprocessor's conformance and
quality exhaustively.

%package -n libmcpp
Summary:    A library build of mcpp

%description -n libmcpp
This package provides a library build of mcpp.

%package -n libmcpp-devel
Summary:    Development package for library of mcpp
Requires:   libmcpp = %{version}

%description -n libmcpp-devel
This package includes header files, libraries necessary for developing
programs which use libmcpp.

%prep
%autosetup -p1

%build
%configure --enable-mcpplib --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build
mv mcpp-gcc.1 mcpp.1

%install
rm -rf %{buildroot}
%make_install
rm -rf %{buildroot}%{_docdir}/%{name}
rm -f %{buildroot}%{_libdir}/libmcpp.la

%files
%license LICENSE
%doc ChangeLog ChangeLog.old NEWS README
%{_datadir}/man/man1/%{name}.1*
%{_bindir}/%{name}

%files -n libmcpp
%license LICENSE
%{_libdir}/libmcpp.so.*

%files -n libmcpp-devel
%{_libdir}/libmcpp.so
%{_includedir}/mcpp_lib.h
%{_includedir}/mcpp_out.h

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Aug 30 2022 ZoeDong <zoedong@tencent.com> - 2.7.2-1
- Initial build

